#language: ru

Функционал: Потери при созревании, остатки в камерах, загруженность складов

Сценарий: Потери при созревании, остатки в камерах, загруженность складов
	Дано Я подключаюсь под "Цех созревания сыра"
	И В командном интерфейсе я выбираю 'Производство' 'Отчеты'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ выходов"
	Тогда открылось окно 'Анализ выходов'
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Анализ выходов"'
	И я разворачиваю группу "Дополнительно"
	И я меняю значение переключателя 'Вид' на 'Расширенный'
	И в таблице "Отборы" я перехожу к строке:
		| 'Использование' | 'Поле'   |
		| 'Отборы'        | 'Отборы' |
	И в таблице "Отборы" я нажимаю на кнопку с именем 'Отборы_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок'            |
		| 'Рабочий центр выпуск' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Анализ выходов"'
	И в таблице "Отборы" я перехожу к строке:
		| 'Заголовок'            | 'Использование' | 'Поле'                 | 'Условие' |
		| 'Рабочий центр выпуск' | 'Да'            | 'Рабочий центр выпуск' | 'Равно'   |
	И в таблице "Отборы" я активизирую поле с именем "ОтборыПравоеЗначение"
	И в таблице "Отборы" у поля с именем "ОтборыПравоеЗначение" я жду значения отличного от "Неопределено" в течение 10 секунд
	И в таблице "Отборы" я нажимаю кнопку выбора у реквизита с именем "ОтборыПравоеЗначение"
	Тогда открылось окно 'Рабочие центры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Маркировка'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Настройки отчета "Анализ выходов"'
	И в таблице "Отборы" я нажимаю на кнопку с именем 'Отборы_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок'             |
		| 'Характеристика выпуск' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Анализ выходов"'
	И в таблице "Отборы" я перехожу к строке:
		| 'Заголовок'             | 'Использование' | 'Поле'                  | 'Условие' |
		| 'Характеристика выпуск' | 'Да'            | 'Характеристика выпуск' | 'Равно'   |
	И в таблице "Отборы" у поля с именем "ОтборыПравоеЗначение" я жду значения отличного от "Неопределено" в течение 10 секунд
	И в таблице "Отборы" я выбираю текущую строку
	И в таблице "Отборы" из выпадающего списка "Условие" я выбираю точное значение 'Не равно'
	И в таблице "Отборы" я активизирую поле с именем "ОтборыПравоеЗначение"
	И в таблице "Отборы" я выбираю текущую строку
	И в таблице "Отборы" я нажимаю кнопку выбора у реквизита с именем "ОтборыПравоеЗначение"
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Брак'         |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Настройки отчета "Анализ выходов"'
	И я перехожу к закладке "Поля и сортировки"
	И в таблице "Сортировка" я нажимаю на кнопку с именем 'Сортировка_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок'           |
		| 'Номенклатура выпуск' |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Анализ выходов"'
	И в таблице "Сортировка" я нажимаю на кнопку с именем 'Сортировка_Добавить'
	Тогда открылось окно 'Выбор поля отчета'
	И в таблице "ДоступныеПоля" я перехожу к строке:
		| 'Заголовок'      |
		| 'Серия выпуск'   |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Настройки отчета "Анализ выходов"'
	И я нажимаю на кнопку 'Закрыть'
	И Я в отчете устанавливаю период "" "12.12.2058"
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен:
		| 'Параметры:'                                            | 'Нужен прошлый период: Нет'                                                                                | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''      | ''           |
		| ''                                                      | 'Период:  - 12.12.2058'                                                                                    | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''      | ''           |
		| 'Отбор:'                                                | 'Скрыть выпуски брака И\nРабочий центр выпуск Равно "Маркировка" И\nХарактеристика выпуск Не равно "Брак"' | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''      | ''           |
		| ''                                                      | ''                                                                                                         | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''      | ''           |
		| 'Рабочий центр выпуск'                                  | 'Выпуск'                                                                                                   | ''                 | ''             | ''             | 'Расход материала' | ''                 | ''             | ''             | 'Процент выхода' | ''      | ''           |
		| 'Номенклатура выпуск, Ед. изм., Ед. изм. 1, Ед. изм. 2' | 'Количество'                                                                                               | 'Количество норма' | 'Количество 1' | 'Количество 2' | 'Количество'       | 'Количество норма' | 'Количество 1' | 'Количество 2' | 'Норма'          | 'Факт'  | 'Отклонение' |
		| 'Серия выпуск'                                          | ''                                                                                                         | ''                 | ''             | ''             | ''                 | ''                 | ''             | ''             | ''               | ''      | ''           |
		| 'Маркировка'                                            | '622,80'                                                                                                   | '625,17'           | '119,00'       | ''             | '625,80'           | '623,42'           | '119,00'       | ''             | '99,90'          | '99,52' | '-0,38'      |
		| 'Российский 50%, кг, шт, '                              | '622,80'                                                                                                   | '625,17'           | '119,00'       | ''             | '625,80'           | '623,42'           | '119,00'       | ''             | '99,90'          | '99,52' | '-0,38'      |
		| '12.03.2019/1'                                          | '622,80'                                                                                                   | '625,17'           | '119,00'       | ''             | '625,80'           | '623,42'           | '119,00'       | ''             | '99,90'          | '99,52' | '-0,38'      |
		| 'Итого'                                                 | '622,80'                                                                                                   | '625,17'           | '119,00'       | ''             | '625,80'           | '623,42'           | '119,00'       | ''             | '99,90'          | '99,52' | '-0,38'      |
	И Я закрываю окно 'Анализ выходов'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ остатков на складах"
	Тогда открылось окно 'Анализ остатков на складах'
	И я снимаю флаг 'Конец периода:'
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Анализ остатков на складах"'
	И я устанавливаю флаг 'Склад:'
	И я нажимаю на кнопку с именем 'Список1Подбор'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И в таблице "Список" я выбираю текущую строку
	И Я закрываю окно 'Склады'
	Тогда открылось окно 'Настройки отчета "Анализ остатков на складах"'
	И я нажимаю кнопку выбора у поля "Номенклатура"
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Российский 50%' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Настройки отчета "Анализ остатков на складах"'
	И я нажимаю кнопку выбора у поля "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'       |
		| '12.03.2019/1' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Настройки отчета "Анализ остатков на складах"'
	И я нажимаю на кнопку 'Закрыть и сформировать'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	И Я закрываю окно 'Анализ остатков на складах'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ остатков на таре"
	Тогда открылось окно 'Анализ остатков на таре'
	И из выпадающего списка с именем "КомпоновщикНастроекПользовательскиеНастройкиЭлемент0Значение" я выбираю точное значение 'Начало завтрашнего дня'
	И я нажимаю на кнопку с именем 'ВсеНастройки'
	Тогда открылось окно 'Настройки отчета "Анализ остатков на таре"'
	И я устанавливаю флаг 'Склад:'
	И я нажимаю на кнопку с именем 'Список1Подбор'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'        |
		| 'Камера созревания 1' |
	И в таблице "Список" я выбираю текущую строку
	И Я закрываю окно 'Склады'
	Тогда открылось окно 'Настройки отчета "Анализ остатков на таре"'
	И я нажимаю на кнопку 'Закрыть и сформировать'
	Тогда открылось окно 'Анализ остатков на таре'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен по шаблону:
		| 'Параметры:'          | 'Период: *'           		 | ''                     | ''                   | ''                     | ''                     |
		| 'Отбор:'              | 'Склад В списке "Камера созревания 1"' | ''                     | ''                   | ''                     | ''                     |
		| ''                    | ''                                     | ''                     | ''                   | ''                     | ''                     |
		| 'Склад'               | 'Ячейка'                               | 'Тара'                 | 'Количество Остаток' | 'Количество 1 Остаток' | 'Количество 2 Остаток' |
		| 'Номенклатура'        | 'Характеристика'                       | ''                     | ''                   | ''                     | ''                     |
		| 'Серия'               | ''                                     | ''                     | ''                   | ''                     | ''                     |
		| 'Камера созревания 1' | '<пустая ячейка>'                      | 'Контейнер 030000001*' | '614,800'            | '114,000'              | ''                     |
		| 'Российский 50%'      | 'Созревший'                            | ''                     | '614,800'            | '114,000'              | ''                     |
		| '12.03.2019/1'        | ''                                     | ''                     | '614,800'            | '114,000'              | ''                     |
		| 'Камера созревания 1' | '<пустая ячейка>'                      | 'Контейнер 030000002*' | '300,000'            | '100,000'              | ''                     |
		| 'Российский 50%'      | 'Брак'                                 | ''                     | '300,000'            | '100,000'              | ''                     |
		| '12.03.2019/1'        | ''                                     | ''                     | '300,000'            | '100,000'              | ''                     |
		| 'Камера созревания 1' | '<пустая ячейка>'                      | 'Контейнер 030000003*' | '105,000'            | '19,000'               | ''                     |
		| 'Российский 50%'      | 'На созревании'                        | ''                     | '105,000'            | '19,000'               | ''                     |
		| '12.03.2019/1'        | ''                                     | ''                     | '105,000'            | '19,000'               | ''                     |
		| 'Итого'               | ''                                     | ''                     | '1 019,800'          | '233,000'              | ''                     |
	И Я закрываю окно 'Анализ остатков на таре'
	Тогда открылось окно 'Отчеты по производству'
	И я нажимаю на гиперссылку "Анализ загруженности складов"
	Тогда открылось окно 'Анализ загруженности складов'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И я снимаю флаг 'Период:'
	И я нажимаю на кнопку с именем 'СформироватьОтчет'
	И Ожидаем завершения фонового формирования отчета в течение "20" секунд
	Тогда табличный документ "ОтчетТабличныйДокумент" равен:
		| 'Параметры:'          | 'Процент выделения зеленым: ' | ''            | ''           |
		| ''                    | 'Процент выделения желтым: '  | ''            | ''           |
		| ''                    | 'Процент выделения красным: ' | ''            | ''           |
		| ''                    | ''                            | ''            | ''           |
		| 'Склад'               | 'Занято'                      | 'Вместимость' | '% загрузки' |
		| 'Ячейка'              | ''                            | ''            | ''           |
		| 'Номенклатура'        | ''                            | ''            | ''           |
		| 'Серия'               | ''                            | ''            | ''           |
		| 'Камера созревания 1' | '4'                           | '10'          | '40,00'      |
		| '<пустая ячейка>'     | '4'                           | ''            | ''           |
		| 'Российский 50%'      | '3'                           | ''            | ''           |
		| '12.03.2019/1'        | '3'                           | ''            | ''           |
		| 'Сливочный 45%'       | '1'                           | ''            | ''           |
		| '12.03.2019/2'        | '1'                           | ''            | ''           |
		| 'Итого'               | '4'                           | '10'          | '40,00'      |
	И Я закрываю окно 'Анализ загруженности складов'
	Тогда открылось окно 'Отчеты по производству'
	И Я закрываю окно 'Отчеты по производству'

Сценарий: 10_milk_scenario.05.008 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT